//
//  AdTimingBidNativeAdDelegate.h
//  AdTimingBidSDK
//
//  Copyright © 2021 AdTiming. All rights reserved.
//

#import <Foundation/Foundation.h>

@class AdTimingBidNativeAd;

NS_ASSUME_NONNULL_BEGIN

@protocol AdTimingBidNativeAdDelegate<NSObject>

@optional

/// Sent immediately before the impression of an AdTimingBidNativeAd will be logged.
- (void)AdTimingBidNativeAdWillShow:(AdTimingBidNativeAd*)nativeAd;

/// Sent after an ad has been clicked by the person.
- (void)AdTimingBidNativeAdDidClick:(AdTimingBidNativeAd*)nativeAd;




@end
NS_ASSUME_NONNULL_END
